// pages/index/index.js
const app = getApp()
const util = require("../../utils/util")
const urls = require("../../utils/urls")
Page({

  /**
   * 页面的初始数据
   */
  data: {
    array: ['艾克斯郎校区1', '艾克斯郎校区2', '艾克斯郎校区3', '艾克斯郎校区4'],
    objectArray: [
      {
        id: 0,
        name: '艾克斯郎校区1'
      },
      {
        id: 1,
        name: '艾克斯郎校区2'
      },
      {
        id: 2,
        name: '艾克斯郎校区3'
      },
      {
        id: 3,
        name: '艾克斯郎校区4'
      }
    ],
    index: 0,
    stuList:[
      {id: 0},
      {id: 1}
    ],
    curStu: 0,
    classList:[
      {img: '/images/kc.png',title: '今日课程', num:'1'},
      {img: '/images/jtzy.png',title: '今日作业', num:'6'},
      {img: '/images/cq.png',title: '出勤率', num:'100%'},
    ],
    appList:[
      {img: '/images/kb.png',title: '我的课表'},
      {img: '/images/zy.png',title: '提交作业'},
      {img: '/images/dp.png',title: '课堂点评'},
      {img: '/images/zj.png',title: '成长足迹'},
      {img: '/images/qj.png',title: '请假'},
      {img: '/images/bk.png',title: '补课'},
      {img: '/images/jk.png',title: '加课'},
      {img: '/images/dk.png',title: '调课'},
    ]
  },

  //切换身份
  changeStu:function(e){
    this.setData({
      curStu: e.currentTarget.dataset.id
    })
  },

  //切换校区
  bindPickerChange: function(e) {
    this.setData({
      index: e.detail.value
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    //测试 获取登录用户数据
    util.apiPost(urls.urls.get_cur_user,{}).then(rs => {
      console.log(JSON.stringify(rs));
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})